Bug 859956 - Minor fedora/rhel build macro fixes
Minor fedora/rhel build macro fixes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 09:28 EDT by Mark Chappell
Modified: 2012-11-28 00:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 00:05:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (2.77 KB, patch)
2012-09-24 09:28 EDT, Mark Chappell
no flags Details | Diff

  None (edit)
Description Mark Chappell 2012-09-24 09:28:47 EDT
Created attachment 616558 [details]
patch

There seems to be some subtly broken logic (I hate dealing with the fedora/rhel macros) in munin.spec with some stuff that also won't work for rhel7

-%if 0%{?rhel} > 4 || 0%{?fedora} < 17

will always return true if fedora's not specified

Hopefully the attached patch will scale a little better
Comment 1 Fedora Update System 2012-10-19 23:34:23 EDT
munin-2.0.7-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.fc16
Comment 2 Fedora Update System 2012-10-19 23:35:16 EDT
munin-2.0.7-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.fc17
Comment 3 Fedora Update System 2012-10-19 23:36:20 EDT
munin-2.0.7-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.fc18
Comment 4 Fedora Update System 2012-10-19 23:37:20 EDT
munin-2.0.7-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.el5
Comment 5 Fedora Update System 2012-10-19 23:38:38 EDT
munin-2.0.7-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-3.el6
Comment 6 Fedora Update System 2012-10-20 15:46:24 EDT
Package munin-2.0.7-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.7-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13237/munin-2.0.7-3.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-11-04 12:19:49 EST
munin-2.0.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.7-5.el6
Comment 8 Fedora Update System 2012-11-04 12:21:55 EST
munin-2.0.7-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.7-5.el5
Comment 9 Fedora Update System 2012-11-11 15:33:16 EST
munin-2.0.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.8-1.el6
Comment 10 Fedora Update System 2012-11-11 15:36:31 EST
munin-2.0.8-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.8-1.el5
Comment 11 Fedora Update System 2012-11-28 00:05:51 EST
munin-2.0.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-11-28 00:08:56 EST
munin-2.0.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.